Skip to main content
GET
/
api
/
library
List library files
curl --request GET \
  --url https://api.mymarky.ai/api/library \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "business_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "alt_text": "<string>",
      "original_url": "<string>",
      "type": "<string>",
      "width": 123,
      "height": 123,
      "source": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mymarky.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

business_id
string
required

Business ID to list library files for

type
enum<string> | null

Filter by media type

Available options:
image,
video
limit
integer
default:20

Max results (1-100)

Required range: 1 <= x <= 100
cursor
string | null

Cursor from previous page's next_cursor

Response

Successful Response

data
MediaResponse · object[]
required

Page of results

has_more
boolean
required

Whether more results exist after this page

next_cursor
string | null

Cursor for the next page (pass as ?cursor= parameter)